<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="struct">
    <name>_sp_suggestions</name>
    <filename>struct__sp__suggestions.html</filename>
    <member kind="variable">
      <type>int</type>
      <name>count</name>
      <anchorfile>struct__sp__suggestions.html</anchorfile>
      <anchor>543b7b26db84627e30df80522263304f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short *</type>
      <name>score</name>
      <anchorfile>struct__sp__suggestions.html</anchorfile>
      <anchor>5a2b59e6c34c2e1a01394b09d63ac406</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned short **</type>
      <name>word</name>
      <anchorfile>struct__sp__suggestions.html</anchorfile>
      <anchor>b6339fb251bb4d48a3f68502d77f021b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ASpellClient</name>
    <filename>classASpellClient.html</filename>
    <base>KSpell2::Client</base>
    <member kind="function">
      <type></type>
      <name>ASpellClient</name>
      <anchorfile>classASpellClient.html</anchorfile>
      <anchor>220f014a1410703ebd87d4ece4b05d76</anchor>
      <arglist>(QObject *parent, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ASpellClient</name>
      <anchorfile>classASpellClient.html</anchorfile>
      <anchor>df186844f56d7132301c8ddef1b954e9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>reliability</name>
      <anchorfile>classASpellClient.html</anchorfile>
      <anchor>fc39a00e20f74295b2a86ece57c76fa2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Dictionary *</type>
      <name>dictionary</name>
      <anchorfile>classASpellClient.html</anchorfile>
      <anchor>4c520c6a7bec0a7d06160d4da9b11a07</anchor>
      <arglist>(const QString &amp;language)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>languages</name>
      <anchorfile>classASpellClient.html</anchorfile>
      <anchor>ba6cfd7f939f1c81fe36146d368ca824</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>name</name>
      <anchorfile>classASpellClient.html</anchorfile>
      <anchor>8f6ff76d2533520d52a744fedd2ebc15</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ASpellDict</name>
    <filename>classASpellDict.html</filename>
    <base>KSpell2::Dictionary</base>
    <member kind="function">
      <type></type>
      <name>ASpellDict</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>325541e5fdc0824e6206850184656d89</anchor>
      <arglist>(const QString &amp;lang)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ASpellDict</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>06d23c4b37210be81108fc5b41a379ef</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>check</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>b27b84a2110e5e57304cd480405c4d0b</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>suggest</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>32e973dab7bfcf628793fe13bda17ebb</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>checkAndSuggest</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>5806d74f528410dcefbfafd30ce23cee</anchor>
      <arglist>(const QString &amp;word, QStringList &amp;suggestions)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>storeReplacement</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>14213c78db56a7f398dae689cc30209d</anchor>
      <arglist>(const QString &amp;bad, const QString &amp;good)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addToPersonal</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>6e6a6d0db331542153a76bf3368b47c4</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addToSession</name>
      <anchorfile>classASpellDict.html</anchorfile>
      <anchor>82f7ff89e3ecb479f20237a7655dbf70</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>dent</name>
    <filename>structdent.html</filename>
    <member kind="variable">
      <type>dent *</type>
      <name>next</name>
      <anchorfile>structdent.html</anchorfile>
      <anchor>250005784dde274423145301e4cddf1e</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>word</name>
      <anchorfile>structdent.html</anchorfile>
      <anchor>48c6e67e7617a85173ab324b8debb202</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>MASKTYPE</type>
      <name>mask</name>
      <anchorfile>structdent.html</anchorfile>
      <anchor>afe72f8335371d0676e20bb3ca989a2a</anchor>
      <arglist>[2]</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>flagent</name>
    <filename>structflagent.html</filename>
    <member kind="variable">
      <type>ichar_t *</type>
      <name>strip</name>
      <anchorfile>structflagent.html</anchorfile>
      <anchor>f262ed5ad54bef9d0d665f0f4f6fd8d7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>ichar_t *</type>
      <name>affix</name>
      <anchorfile>structflagent.html</anchorfile>
      <anchor>d5284103cd80e4f4214c1bbe63301c88</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short</type>
      <name>flagbit</name>
      <anchorfile>structflagent.html</anchorfile>
      <anchor>07f25c34d459fae51483f522d9a2b5db</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short</type>
      <name>stripl</name>
      <anchorfile>structflagent.html</anchorfile>
      <anchor>454e53480f22abca0dac2578577ab0ef</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short</type>
      <name>affl</name>
      <anchorfile>structflagent.html</anchorfile>
      <anchor>5a7a71a0b982e97453977540fda91d40</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short</type>
      <name>numconds</name>
      <anchorfile>structflagent.html</anchorfile>
      <anchor>1e89daa8eab4bdc6922e41911f4e4701</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short</type>
      <name>flagflags</name>
      <anchorfile>structflagent.html</anchorfile>
      <anchor>8ca07a0ac93fcab8d13dc4b7984947b3</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char</type>
      <name>conds</name>
      <anchorfile>structflagent.html</anchorfile>
      <anchor>30e1098639a16a4f78ffe584f3fedd16</anchor>
      <arglist>[SET_SIZE+MAXSTRINGCHARS]</arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>flagptr</name>
    <filename>structflagptr.html</filename>
    <member kind="variable">
      <type>ptr_union</type>
      <name>pu</name>
      <anchorfile>structflagptr.html</anchorfile>
      <anchor>254e069fc8e1705fe6946a200173e3a7</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>numents</name>
      <anchorfile>structflagptr.html</anchorfile>
      <anchor>14ce945e05a6b0ba2bd6b7cb82da8186</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>hashheader</name>
    <filename>structhashheader.html</filename>
    <member kind="variable">
      <type>unsigned short</type>
      <name>magic</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>3ef5fe32b7b4ec1419f79302d2a23bda</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned short</type>
      <name>compileoptions</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>45ea4c22c86491e484821c2e556e98ca</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short</type>
      <name>maxstringchars</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>6af92531d3d38e67fe971711d3220b92</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short</type>
      <name>maxstringcharlen</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>a26fe1a0a5142b6277332f9bbd6dcd26</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short</type>
      <name>compoundmin</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>0e8a7ce2df70ce7a24d4ef83b5b8677b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>short</type>
      <name>compoundbit</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>f2c359b7364b54ca82527e735133f6ef</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>stringsize</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>2ded76e42178b90f147287ea8a1b50ed</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>lstringsize</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>b5aa3861ed1e3fbaa64c37eff1bbdf69</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>tblsize</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>22fd3677a2b1a54c19f7f18f1e230c18</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>stblsize</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>2241c6674b39ca90bf6852402e886af8</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>ptblsize</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>f46e2d5fe3c3479093209082e99418fb</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>sortval</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>45bb11aaa472330a8a29ff553eba7c31</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>nstrchars</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>e52614df65cbad1c4b7735704035df67</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>nstrchartype</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>b3a379faf7f5dccfca5d71850f14511d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>strtypestart</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>3f662cc274ec1e541081364df351d06a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char</type>
      <name>nrchars</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>8b6b9a408d71c7a1f886054bea6487d6</anchor>
      <arglist>[5]</arglist>
    </member>
    <member kind="variable">
      <type>char</type>
      <name>texchars</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>c05e63319a00f0a192f11e4cf8417fd8</anchor>
      <arglist>[13]</arglist>
    </member>
    <member kind="variable">
      <type>char</type>
      <name>compoundflag</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>3f2506b1d2ec6dcc908364792933f1f5</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char</type>
      <name>defhardflag</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>3878035122b31fab69ea2655da96a074</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char</type>
      <name>flagmarker</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>44bf53493894373d5c86477ab56ae0f1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>unsigned short</type>
      <name>sortorder</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>dc77abdfa60bd0dc3b49dbcf457c9401</anchor>
      <arglist>[SET_SIZE+MAXSTRINGCHARS]</arglist>
    </member>
    <member kind="variable">
      <type>ichar_t</type>
      <name>lowerconv</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>f2b9972d6ab1c915eccfd9c79a245a4b</anchor>
      <arglist>[SET_SIZE+MAXSTRINGCHARS]</arglist>
    </member>
    <member kind="variable">
      <type>ichar_t</type>
      <name>upperconv</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>2ca373cfa7fd7773980e210d2b413ee8</anchor>
      <arglist>[SET_SIZE+MAXSTRINGCHARS]</arglist>
    </member>
    <member kind="variable">
      <type>char</type>
      <name>wordchars</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>b5b7fb9e6d7c08fd0041ee69563ec005</anchor>
      <arglist>[SET_SIZE+MAXSTRINGCHARS]</arglist>
    </member>
    <member kind="variable">
      <type>char</type>
      <name>upperchars</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>6a7e6478deb2e1ce4c5b94ce1b54afdb</anchor>
      <arglist>[SET_SIZE+MAXSTRINGCHARS]</arglist>
    </member>
    <member kind="variable">
      <type>char</type>
      <name>lowerchars</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>c46e1f242fd1fa3aaf7b7d316856bcfb</anchor>
      <arglist>[SET_SIZE+MAXSTRINGCHARS]</arglist>
    </member>
    <member kind="variable">
      <type>char</type>
      <name>boundarychars</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>8d44e35000143a49d0085125cd3d92ad</anchor>
      <arglist>[SET_SIZE+MAXSTRINGCHARS]</arglist>
    </member>
    <member kind="variable">
      <type>char</type>
      <name>stringstarts</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>030b88b8fdc1379139643d5c12363dfb</anchor>
      <arglist>[SET_SIZE]</arglist>
    </member>
    <member kind="variable">
      <type>char</type>
      <name>stringchars</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>b6dd8965467c03c3c1e8b4ef6df43d91</anchor>
      <arglist>[MAXSTRINGCHARS][MAXSTRINGCHARLEN+1]</arglist>
    </member>
    <member kind="variable">
      <type>unsigned int</type>
      <name>stringdups</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>c54224c48d5ac57cba0e482aef400d60</anchor>
      <arglist>[MAXSTRINGCHARS]</arglist>
    </member>
    <member kind="variable">
      <type>int</type>
      <name>dupnos</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>ccb07a66feb6dc81e6b11f0325933b83</anchor>
      <arglist>[MAXSTRINGCHARS]</arglist>
    </member>
    <member kind="variable">
      <type>unsigned short</type>
      <name>magic2</name>
      <anchorfile>structhashheader.html</anchorfile>
      <anchor>6ec6583d04ea641a3d65c16bbc3741e5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>HSpellClient</name>
    <filename>classHSpellClient.html</filename>
    <base>KSpell2::Client</base>
    <member kind="function">
      <type></type>
      <name>HSpellClient</name>
      <anchorfile>classHSpellClient.html</anchorfile>
      <anchor>597f701e604d61375408c837984a2db4</anchor>
      <arglist>(QObject *parent, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~HSpellClient</name>
      <anchorfile>classHSpellClient.html</anchorfile>
      <anchor>1d48a53198fd1e5bc3879c99c86a4dd7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>reliability</name>
      <anchorfile>classHSpellClient.html</anchorfile>
      <anchor>4fc152a79d9dd6c6360d91836ddc588c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Dictionary *</type>
      <name>dictionary</name>
      <anchorfile>classHSpellClient.html</anchorfile>
      <anchor>2e9d72f831ab652fe62bb54e1921431b</anchor>
      <arglist>(const QString &amp;language)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>languages</name>
      <anchorfile>classHSpellClient.html</anchorfile>
      <anchor>281881d50c2a124b746733f40107db6b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>name</name>
      <anchorfile>classHSpellClient.html</anchorfile>
      <anchor>64fdb08b14771974fc6820a2a04e9b33</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>HSpellDict</name>
    <filename>classHSpellDict.html</filename>
    <base>KSpell2::Dictionary</base>
    <member kind="function">
      <type></type>
      <name>HSpellDict</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>075958eb0486b721dc1da9daa2002292</anchor>
      <arglist>(const QString &amp;lang)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~HSpellDict</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>9ae17b1b35d6a44a9fcfcabcdd40684c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>check</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>d526caa66e240b2227e20e18fbc596cf</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>suggest</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>6be23cd550f4680aba005c68750e7030</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>checkAndSuggest</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>1c7ac25766d8aaabfee6ffbd348aa470</anchor>
      <arglist>(const QString &amp;word, QStringList &amp;suggestions)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>storeReplacement</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>54e8c3e08e1c2142a66916f8098eac06</anchor>
      <arglist>(const QString &amp;bad, const QString &amp;good)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addToPersonal</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>37a05001d627a284155278b3717890b7</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addToSession</name>
      <anchorfile>classHSpellDict.html</anchorfile>
      <anchor>b841499d1a5d5da93e66c3d7fb4de4e4</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ISpellChecker</name>
    <filename>classISpellChecker.html</filename>
    <member kind="function">
      <type></type>
      <name>ISpellChecker</name>
      <anchorfile>classISpellChecker.html</anchorfile>
      <anchor>5e89fe81403afab25f05fb656b34a32a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ISpellChecker</name>
      <anchorfile>classISpellChecker.html</anchorfile>
      <anchor>7d02e18d670aa827ccc4a55908c31dee</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkWord</name>
      <anchorfile>classISpellChecker.html</anchorfile>
      <anchor>a3c73ce54dd85a479e9324c1ff13cb7b</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>suggestWord</name>
      <anchorfile>classISpellChecker.html</anchorfile>
      <anchor>f25b161701c4f01197f93d571ff4d0c1</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>requestDictionary</name>
      <anchorfile>classISpellChecker.html</anchorfile>
      <anchor>5c78f49922f85e43e3b9040870860592</anchor>
      <arglist>(const char *szLang)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QValueList&lt; QString &gt;</type>
      <name>allDics</name>
      <anchorfile>classISpellChecker.html</anchorfile>
      <anchor>29f8a611237a7792fed2f13b48880db4</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ISpellClient</name>
    <filename>classISpellClient.html</filename>
    <base>KSpell2::Client</base>
    <member kind="function">
      <type></type>
      <name>ISpellClient</name>
      <anchorfile>classISpellClient.html</anchorfile>
      <anchor>0006c96e8463545427796383bd9e8b96</anchor>
      <arglist>(QObject *parent, const char *name, const QStringList &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ISpellClient</name>
      <anchorfile>classISpellClient.html</anchorfile>
      <anchor>737fc9aa9fba07bcbe9efc370b8eb6b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>reliability</name>
      <anchorfile>classISpellClient.html</anchorfile>
      <anchor>eb4dde8b35dd3e47ab720f42ef44f51d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Dictionary *</type>
      <name>dictionary</name>
      <anchorfile>classISpellClient.html</anchorfile>
      <anchor>4c9eb3d02e87d8638f60b8616cbb9933</anchor>
      <arglist>(const QString &amp;language)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>languages</name>
      <anchorfile>classISpellClient.html</anchorfile>
      <anchor>e4a15f42d2e5401315a5c7be298164e6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>name</name>
      <anchorfile>classISpellClient.html</anchorfile>
      <anchor>753bde866ed31992492c0d63401139dc</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>ISpellDict</name>
    <filename>classISpellDict.html</filename>
    <base>KSpell2::Dictionary</base>
    <member kind="function">
      <type></type>
      <name>ISpellDict</name>
      <anchorfile>classISpellDict.html</anchorfile>
      <anchor>a13831f265a94d1a5ceb42153068bc9a</anchor>
      <arglist>(const QString &amp;lang)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ISpellDict</name>
      <anchorfile>classISpellDict.html</anchorfile>
      <anchor>aade73f8c0f5f96ffe0be91f77d7609c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>check</name>
      <anchorfile>classISpellDict.html</anchorfile>
      <anchor>931c00e65cd8d3296ce25efbf72cdde4</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>suggest</name>
      <anchorfile>classISpellDict.html</anchorfile>
      <anchor>b573e799495549159249f1563ec09def</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>checkAndSuggest</name>
      <anchorfile>classISpellDict.html</anchorfile>
      <anchor>d74a61c9582af0a05a596b6a565ffb05</anchor>
      <arglist>(const QString &amp;word, QStringList &amp;suggestions)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>storeReplacement</name>
      <anchorfile>classISpellDict.html</anchorfile>
      <anchor>96655d92e728dcdc725bf3cfca6e2749</anchor>
      <arglist>(const QString &amp;bad, const QString &amp;good)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addToPersonal</name>
      <anchorfile>classISpellDict.html</anchorfile>
      <anchor>ad35a11f1b6000b5dc5c87605830ce8c</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addToSession</name>
      <anchorfile>classISpellDict.html</anchorfile>
      <anchor>2c5edf411575570c5564b5d6538aa0de</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2ConfigUI</name>
    <filename>classKSpell2ConfigUI.html</filename>
    <base>QWidget</base>
    <member kind="function">
      <type></type>
      <name>KSpell2ConfigUI</name>
      <anchorfile>classKSpell2ConfigUI.html</anchorfile>
      <anchor>b7fbb2f7593d0daf8e1991e98cfad14d</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, WFlags fl=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KSpell2ConfigUI</name>
      <anchorfile>classKSpell2ConfigUI.html</anchorfile>
      <anchor>b59c1d61717bcfe44db06592f8ace9a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>KComboBox *</type>
      <name>m_langCombo</name>
      <anchorfile>classKSpell2ConfigUI.html</anchorfile>
      <anchor>eeee0a6ca63b00c98b653efefd1eb875</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QGroupBox *</type>
      <name>groupBox1</name>
      <anchorfile>classKSpell2ConfigUI.html</anchorfile>
      <anchor>763e68b5b80e2e26ca306d5724ca02d9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QCheckBox *</type>
      <name>m_bgSpellCB</name>
      <anchorfile>classKSpell2ConfigUI.html</anchorfile>
      <anchor>54f571c3aacdb22d3d1eb2e645de4a6a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QCheckBox *</type>
      <name>m_skipUpperCB</name>
      <anchorfile>classKSpell2ConfigUI.html</anchorfile>
      <anchor>7c9c506ba8d23baaf6fa3a795ec93913</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QCheckBox *</type>
      <name>m_skipRunTogetherCB</name>
      <anchorfile>classKSpell2ConfigUI.html</anchorfile>
      <anchor>0cf2bf82b11c8a916cf6a0bcbf961c47</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QLabel *</type>
      <name>textLabel1</name>
      <anchorfile>classKSpell2ConfigUI.html</anchorfile>
      <anchor>6f0b737b1728ff5ac6567665c7d95d04</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>KEditListBox *</type>
      <name>m_ignoreListBox</name>
      <anchorfile>classKSpell2ConfigUI.html</anchorfile>
      <anchor>d15d5cb3ab2a9bcbc29bd8589e0601f9</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>languageChange</name>
      <anchorfile>classKSpell2ConfigUI.html</anchorfile>
      <anchor>516e7ea76e3c4afb31b853a6a1785b50</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QGridLayout *</type>
      <name>KSpell2ConfigUILayout</name>
      <anchorfile>classKSpell2ConfigUI.html</anchorfile>
      <anchor>1d1c999a78d9bb7c843cfef31dea157d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QGridLayout *</type>
      <name>groupBox1Layout</name>
      <anchorfile>classKSpell2ConfigUI.html</anchorfile>
      <anchor>cc260cf0499fb0ed7cee2ceccd0db896</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2UI</name>
    <filename>classKSpell2UI.html</filename>
    <base>QWidget</base>
    <member kind="function">
      <type></type>
      <name>KSpell2UI</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>df4f08921ea3b32b32af0911a1af990e</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, WFlags fl=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KSpell2UI</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>aff71a84895a04b76fd813f34ba897ea</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>QLabel *</type>
      <name>textLabel2</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>da276f1aad27146595c1926eba527a98</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QLabel *</type>
      <name>m_unknownWord</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>33490d911080104657cf53efbd744f77</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QLabel *</type>
      <name>textLabel5</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>006a1f9ceb883641db5a546a61ee0b14</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QLabel *</type>
      <name>m_contextLabel</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>0bdb441b79207df043c1799ce9883134</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QPushButton *</type>
      <name>m_addBtn</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>e697c145e352b032f143327606c7aeed</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QListView *</type>
      <name>m_suggestions</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>ff2ef7570d46262fbefcc8f8c1d7e290</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QLabel *</type>
      <name>textLabel4</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>f71ec281ed30d0e879cdcc9ef74ca72a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QLineEdit *</type>
      <name>m_replacement</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>b041647ebf3326dccdb1239565b02b9f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QComboBox *</type>
      <name>m_language</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>4d84431e3ead9b8deda9974658ad10c2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QPushButton *</type>
      <name>m_suggestBtn</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>41fcc53ecf7212af234a0b5dbfeaa2d4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QPushButton *</type>
      <name>m_replaceBtn</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>20996cae898b5a8e9e345977d727594f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QPushButton *</type>
      <name>m_replaceAllBtn</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>d2a1ad11fc0b01019ed705fab4cf4e7a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QPushButton *</type>
      <name>m_skipBtn</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>aaa0c971aeef4da973413be33031b55a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QPushButton *</type>
      <name>m_skipAllBtn</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>d3edc74170e59e264af427d0dc7ea8d9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>QPushButton *</type>
      <name>m_autoCorrect</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>77df707bf879304f8d4d9e1c0e0f56bc</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>languageChange</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>d82d57c1593e540e3f8513df483fbb57</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QGridLayout *</type>
      <name>KSpell2UILayout</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>1be34d70ade7870caf0679d5b012238f</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QSpacerItem *</type>
      <name>spacer2</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>2f9cd08a1f3933d56a66aa08cea3a791</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QVBoxLayout *</type>
      <name>layout1</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>a3755111d446d2e4d821dd1d8d6b96b9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QSpacerItem *</type>
      <name>spacer1</name>
      <anchorfile>classKSpell2UI.html</anchorfile>
      <anchor>0e24ee82f9ede01915fafde30fd4b92b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="union">
    <name>ptr_union</name>
    <filename>unionptr__union.html</filename>
    <member kind="variable">
      <type>flagptr *</type>
      <name>fp</name>
      <anchorfile>unionptr__union.html</anchorfile>
      <anchor>9ee3ab75846731a64563545b66c470d4</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>flagent *</type>
      <name>ent</name>
      <anchorfile>unionptr__union.html</anchorfile>
      <anchor>e6d2ebf21293a828541cb1dbd5db2e5b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>strchartype</name>
    <filename>structstrchartype.html</filename>
    <member kind="variable">
      <type>char *</type>
      <name>name</name>
      <anchorfile>structstrchartype.html</anchorfile>
      <anchor>9172aefc49357fc91914ba739fa39105</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>deformatter</name>
      <anchorfile>structstrchartype.html</anchorfile>
      <anchor>58b6658564982e2b53f4b5dd5ddb316b</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>char *</type>
      <name>suffixes</name>
      <anchorfile>structstrchartype.html</anchorfile>
      <anchor>6f59a570ec18d3ff119a03a96ce68f78</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>success</name>
    <filename>structsuccess.html</filename>
    <member kind="variable">
      <type>dent *</type>
      <name>dictent</name>
      <anchorfile>structsuccess.html</anchorfile>
      <anchor>9b7c97a8e3450e8f330c033948a5c438</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>flagent *</type>
      <name>prefix</name>
      <anchorfile>structsuccess.html</anchorfile>
      <anchor>64857fe4f3b48873617183297cb60b25</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>flagent *</type>
      <name>suffix</name>
      <anchorfile>structsuccess.html</anchorfile>
      <anchor>16ce9c4ddbc88f52e727ce7be8c751f6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KSpell2</name>
    <filename>namespaceKSpell2.html</filename>
    <class kind="class">KSpell2::BackgroundChecker</class>
    <class kind="class">KSpell2::BackgroundEngine</class>
    <class kind="class">KSpell2::BackgroundThread</class>
    <class kind="class">KSpell2::Broker</class>
    <class kind="class">KSpell2::Client</class>
    <class kind="class">KSpell2::DefaultDictionary</class>
    <class kind="class">KSpell2::Dictionary</class>
    <class kind="struct">KSpell2::Word</class>
    <class kind="class">KSpell2::Filter</class>
    <class kind="class">KSpell2::Settings</class>
    <class kind="class">KSpell2::MisspellingEvent</class>
    <class kind="class">KSpell2::FinishedCheckingEvent</class>
    <class kind="class">KSpell2::ConfigDialog</class>
    <class kind="class">KSpell2::ConfigWidget</class>
    <class kind="class">KSpell2::Dialog</class>
    <class kind="class">KSpell2::Highlighter</class>
    <member kind="variable" static="yes">
      <type>static Word</type>
      <name>endWord</name>
      <anchorfile>namespaceKSpell2.html</anchorfile>
      <anchor>ef7925a60eb76bfc720799e5c704b16d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static KStaticDeleter&lt; Filter &gt;</type>
      <name>sd</name>
      <anchorfile>namespaceKSpell2.html</anchorfile>
      <anchor>7fdd2651df050353066a710017fd1178</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static Filter *</type>
      <name>defFilter</name>
      <anchorfile>namespaceKSpell2.html</anchorfile>
      <anchor>1de6fb5327fa3a39c0990f257ef6cf1c</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::BackgroundChecker</name>
    <filename>classKSpell2_1_1BackgroundChecker.html</filename>
    <base>QObject</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setFilter</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>d18f0359c7e8cbdb25e4d2b0d2b66e60</anchor>
      <arglist>(KSpell2::Filter *filter)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>start</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>3927764f49f192bb0133db68dd455fe0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>stop</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>55ae9b846e624a2f6e9a9f4e8a3f3f1c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>continueChecking</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>1770b8c7732ca8f8e6035c035a1c7cdb</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>misspelling</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>32a77f00157e78f2050b46f64351cb90</anchor>
      <arglist>(const QString &amp;word, int start)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>done</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>0ba17be222ceddbabb1de1f58ac1607d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>BackgroundChecker</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>8dbbc49349f9896256a7e5493c1d6202</anchor>
      <arglist>(const Broker::Ptr &amp;broker, QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>checkText</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>0f2c521a7b47412ad43544e9c80521a1</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>Filter *</type>
      <name>filter</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>13fad668e652819e84d32e298d44ede4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Broker *</type>
      <name>broker</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>0de17e5aeb3d519800a20bc2ad59e705</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>changeLanguage</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>c3e51c909c5ef494e00df83e8beb505b</anchor>
      <arglist>(const QString &amp;lang)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkWord</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>fa8415b2aa834833cf46d7e6939e2cc0</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>suggest</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>4970267f13d554565c6149046d4bc981</anchor>
      <arglist>(const QString &amp;) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addWord</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>007970f4c8a2c9f63452b075461e4cf5</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotEngineDone</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>0c04df19fb7c8e24f3111d4e58f855e8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual QString</type>
      <name>getMoreText</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>c83f392e7d458571d48dd11c077e9135</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>finishedCurrentFeed</name>
      <anchorfile>classKSpell2_1_1BackgroundChecker.html</anchorfile>
      <anchor>47bc7fc7a92333a6e79808d829768613</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::BackgroundEngine</name>
    <filename>classKSpell2_1_1BackgroundEngine.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>misspelling</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>84881ac50e47a2c18344d76edbe7808b</anchor>
      <arglist>(const QString &amp;, int)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>done</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>52eb76850cd06a3bbb3874ed640c1869</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>BackgroundEngine</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>f01b47ad5e0413cb274f846130139d95</anchor>
      <arglist>(QObject *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~BackgroundEngine</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>179dbd6e7a61e53e210211e9cdbb4a71</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBroker</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>3e313b5ae1283f9fc38f97643519b0b9</anchor>
      <arglist>(const Broker::Ptr &amp;broker)</arglist>
    </member>
    <member kind="function">
      <type>Broker *</type>
      <name>broker</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>caaebe3b6d40c2fc3d30ff80c02a4381</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setText</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>1aa9bbcaf96febcf131020c950955f49</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>text</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>73f08744f91a466ad0f9f854840217d5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>changeLanguage</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>4c71425fc471fce55b7f00dd26501b3a</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>language</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>8f38fa455ed3bfbb2a80cf651c689f6d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFilter</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>7e77dfc745570043a370011feb9b1fc0</anchor>
      <arglist>(Filter *filter)</arglist>
    </member>
    <member kind="function">
      <type>Filter *</type>
      <name>filter</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>15285541b5354c5e6a69c289a0841969</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>start</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>96d4a3245e63bb7a4733042435b681ab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>continueChecking</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>9f371505cfb8276776084866864c315c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>e2bceb662a0738e39403558d4ee9bc09</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkWord</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>ffeb7fe10ff513196affdc6fc46b5942</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>suggest</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>bc03df882b5d32255813692d51e10a89</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addWord</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>3c6d65681c4fc796c56546d2aa14cedf</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>checkNext</name>
      <anchorfile>classKSpell2_1_1BackgroundEngine.html</anchorfile>
      <anchor>3d6646df065ae8df7acd708aca523382</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::BackgroundThread</name>
    <filename>classKSpell2_1_1BackgroundThread.html</filename>
    <base>QThread</base>
    <member kind="function">
      <type></type>
      <name>BackgroundThread</name>
      <anchorfile>classKSpell2_1_1BackgroundThread.html</anchorfile>
      <anchor>aa63e0d4c88c145efcf38452b6911d4b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReceiver</name>
      <anchorfile>classKSpell2_1_1BackgroundThread.html</anchorfile>
      <anchor>baec6dbc6c59d4164d2b7fd06af25812</anchor>
      <arglist>(QObject *parent)</arglist>
    </member>
    <member kind="function">
      <type>QObject *</type>
      <name>receiver</name>
      <anchorfile>classKSpell2_1_1BackgroundThread.html</anchorfile>
      <anchor>0520ce110f344d451fe01839dd8dce30</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBroker</name>
      <anchorfile>classKSpell2_1_1BackgroundThread.html</anchorfile>
      <anchor>081bfeb6bb0a6f21eee7c30ebd86e894</anchor>
      <arglist>(const Broker::Ptr &amp;broker)</arglist>
    </member>
    <member kind="function">
      <type>Broker *</type>
      <name>broker</name>
      <anchorfile>classKSpell2_1_1BackgroundThread.html</anchorfile>
      <anchor>8a5c52cd19695a1d32e5e519e10629ec</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setText</name>
      <anchorfile>classKSpell2_1_1BackgroundThread.html</anchorfile>
      <anchor>675861538e54a60a189dcefe991746f8</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>text</name>
      <anchorfile>classKSpell2_1_1BackgroundThread.html</anchorfile>
      <anchor>03fd69e76369500eaf4c1cd8f01b3450</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>changeLanguage</name>
      <anchorfile>classKSpell2_1_1BackgroundThread.html</anchorfile>
      <anchor>52067a4a9237fe8dae70ccbc9305bab7</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>language</name>
      <anchorfile>classKSpell2_1_1BackgroundThread.html</anchorfile>
      <anchor>c9d3d0d6564e8dfa0db7bfaeed11d4b3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFilter</name>
      <anchorfile>classKSpell2_1_1BackgroundThread.html</anchorfile>
      <anchor>9f079e8e0c22072e639b0ce3a24484f7</anchor>
      <arglist>(Filter *filter)</arglist>
    </member>
    <member kind="function">
      <type>Filter *</type>
      <name>filter</name>
      <anchorfile>classKSpell2_1_1BackgroundThread.html</anchorfile>
      <anchor>dbfc99b7d97b21e25d5639414cd7413e</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>suggest</name>
      <anchorfile>classKSpell2_1_1BackgroundThread.html</anchorfile>
      <anchor>a778b3179aeff5cceb4bf1097698b98c</anchor>
      <arglist>(const QString &amp;) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>run</name>
      <anchorfile>classKSpell2_1_1BackgroundThread.html</anchorfile>
      <anchor>e2e27c88676cdc7eb2835e68f80cdaf0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classKSpell2_1_1BackgroundThread.html</anchorfile>
      <anchor>91465579bcf7b3f628b9bf9fb057b919</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::Broker</name>
    <filename>classKSpell2_1_1Broker.html</filename>
    <base>QObject</base>
    <member kind="typedef">
      <type>KSharedPtr&lt; Broker &gt;</type>
      <name>Ptr</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>5d1185b9e81a74ced75c73a30dffef5a</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>configurationChanged</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>522afab2abe5cb6bb4a310d946a609d3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Broker</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>836a8cd68eb754136c7ec6d9f79a707b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>DefaultDictionary *</type>
      <name>defaultDictionary</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>c767a375f161fb4539cc5d00e4235cbb</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Dictionary *</type>
      <name>dictionary</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>b6dd54682c2b9d4b02aef8bf635a62bf</anchor>
      <arglist>(const QString &amp;language=QString::null, const QString &amp;client=QString::null) const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>clients</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>cc1b7438c20aa46d2749e6228702619a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>languages</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>148a5fa0e3ed7209f9cd86c601c50ee4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Settings *</type>
      <name>settings</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>dc5d8af35520d54b2014c4246c8e671c</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Broker *</type>
      <name>openBroker</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>3eb57fff9d31a57e19dad7095962d525</anchor>
      <arglist>(KSharedConfig *config=0)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>9db52221fd057fb5d4ab7e4f82e386c7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>Settings</name>
      <anchorfile>classKSpell2_1_1Broker.html</anchorfile>
      <anchor>e1802d4000b25db8fe0968e1c4f917b1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::Client</name>
    <filename>classKSpell2_1_1Client.html</filename>
    <base>QObject</base>
    <member kind="function">
      <type></type>
      <name>Client</name>
      <anchorfile>classKSpell2_1_1Client.html</anchorfile>
      <anchor>1c30883dbda40c9a2216af49f178c7b8</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>reliability</name>
      <anchorfile>classKSpell2_1_1Client.html</anchorfile>
      <anchor>9be5c8526eb6266181f737e00d227566</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Dictionary *</type>
      <name>dictionary</name>
      <anchorfile>classKSpell2_1_1Client.html</anchorfile>
      <anchor>13bccc2a63a9b0c5dd85d862a321ab42</anchor>
      <arglist>(const QString &amp;language)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QStringList</type>
      <name>languages</name>
      <anchorfile>classKSpell2_1_1Client.html</anchorfile>
      <anchor>b700dea1a016f481b8f59c9f91e30956</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QString</type>
      <name>name</name>
      <anchorfile>classKSpell2_1_1Client.html</anchorfile>
      <anchor>43da959e3169c1e1dfa79a7c00331af5</anchor>
      <arglist>() const =0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::DefaultDictionary</name>
    <filename>classKSpell2_1_1DefaultDictionary.html</filename>
    <base>QObject</base>
    <base>KSpell2::Dictionary</base>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKSpell2_1_1DefaultDictionary.html</anchorfile>
      <anchor>b099c9e2a7410ecb65cdb8cbb1777583</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>DefaultDictionary</name>
      <anchorfile>classKSpell2_1_1DefaultDictionary.html</anchorfile>
      <anchor>67346af63119b5d9e9273dc41be9fd7c</anchor>
      <arglist>(const QString &amp;lang, Broker *broker)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isValid</name>
      <anchorfile>classKSpell2_1_1DefaultDictionary.html</anchorfile>
      <anchor>9ace35126eb6a3155d0c2c575a3aaedc</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>check</name>
      <anchorfile>classKSpell2_1_1DefaultDictionary.html</anchorfile>
      <anchor>666555585e4a8f4ee2b51ffd54c65bbd</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QStringList</type>
      <name>suggest</name>
      <anchorfile>classKSpell2_1_1DefaultDictionary.html</anchorfile>
      <anchor>73762d13d24800d65bba29bb601ef9f2</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>checkAndSuggest</name>
      <anchorfile>classKSpell2_1_1DefaultDictionary.html</anchorfile>
      <anchor>e849d796a259caf26bb3e1adfd1ce22b</anchor>
      <arglist>(const QString &amp;word, QStringList &amp;suggestions)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>storeReplacement</name>
      <anchorfile>classKSpell2_1_1DefaultDictionary.html</anchorfile>
      <anchor>cad26687a8f20c2d3b0364901afb2530</anchor>
      <arglist>(const QString &amp;bad, const QString &amp;good)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addToPersonal</name>
      <anchorfile>classKSpell2_1_1DefaultDictionary.html</anchorfile>
      <anchor>ed9298fa47b5fbbe01e4427196bb2aef</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>addToSession</name>
      <anchorfile>classKSpell2_1_1DefaultDictionary.html</anchorfile>
      <anchor>3e3f95b71f3aeaff4e9a902f52b76dbf</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>defaultConfigurationChanged</name>
      <anchorfile>classKSpell2_1_1DefaultDictionary.html</anchorfile>
      <anchor>a33b03cef3f2947b8c035feab0d5d6e2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::Dictionary</name>
    <filename>classKSpell2_1_1Dictionary.html</filename>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Dictionary</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>d6864674fc1b66fcd54377ed200fefe8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>check</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>6c9c6ff682d3351a6ffab90aa104d6d2</anchor>
      <arglist>(const QString &amp;word)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual QStringList</type>
      <name>suggest</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>14bf791c3aeb31557e45f62ec9c320b1</anchor>
      <arglist>(const QString &amp;word)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>checkAndSuggest</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>6e8363a5a316daa161ac7191f1a94946</anchor>
      <arglist>(const QString &amp;word, QStringList &amp;suggestions)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>storeReplacement</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>bea077255db7ec64f24cfd4e83b289ab</anchor>
      <arglist>(const QString &amp;bad, const QString &amp;good)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>addToPersonal</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>b965abeabb055467c7408222b1b90762</anchor>
      <arglist>(const QString &amp;word)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>addToSession</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>7a643ac50382f185e3a8105d6d758a97</anchor>
      <arglist>(const QString &amp;word)=0</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>language</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>7320d7ae63c9484c8edb3f9d4d80c317</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDefault</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>f792853f35ec9702e13ca3ab01c12a66</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>Dictionary</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>79dcceacd55263c101ef0387c187ee2c</anchor>
      <arglist>(const QString &amp;lang, bool def=false)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_language</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>551d0103f9117b92576575bdfa34edd6</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>m_default</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>7acdbf4df55812fe544312da98fbaa65</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>Broker</name>
      <anchorfile>classKSpell2_1_1Dictionary.html</anchorfile>
      <anchor>78f050489ad4de3f23aa682962a1f9a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="struct">
    <name>KSpell2::Word</name>
    <filename>structKSpell2_1_1Word.html</filename>
    <member kind="function">
      <type></type>
      <name>Word</name>
      <anchorfile>structKSpell2_1_1Word.html</anchorfile>
      <anchor>a24cbfdb0d841e74e51a224dc3ed9be4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Word</name>
      <anchorfile>structKSpell2_1_1Word.html</anchorfile>
      <anchor>634ea226dc033ee47ad1bcfb323e5507</anchor>
      <arglist>(const QString &amp;w, int st, bool e=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Word</name>
      <anchorfile>structKSpell2_1_1Word.html</anchorfile>
      <anchor>067ed380f81246d731253b867c02b4fd</anchor>
      <arglist>(const Word &amp;other)</arglist>
    </member>
    <member kind="variable">
      <type>QString</type>
      <name>word</name>
      <anchorfile>structKSpell2_1_1Word.html</anchorfile>
      <anchor>b1277f2351f157192a526ee05856669a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>uint</type>
      <name>start</name>
      <anchorfile>structKSpell2_1_1Word.html</anchorfile>
      <anchor>f5c47f3acc279ca316cc9b5658f3a8e1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>bool</type>
      <name>end</name>
      <anchorfile>structKSpell2_1_1Word.html</anchorfile>
      <anchor>64f6097e6470c5fff0c2cba84f8c4326</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::Filter</name>
    <filename>classKSpell2_1_1Filter.html</filename>
    <member kind="function">
      <type></type>
      <name>Filter</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>4c3715d5a914577518537d1ee507823a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~Filter</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>321b75ceac49a04000b1d8e95d4ae26a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSettings</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>8a0405f2bcd5830c0dcccad1e885adf9</anchor>
      <arglist>(Settings *)</arglist>
    </member>
    <member kind="function">
      <type>Settings *</type>
      <name>settings</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>d2eec2eb5664c36d4c46c41cccfc7b94</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>atEnd</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>dcbf86f22f51fa5bf29a69c2e1e4f19a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBuffer</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>d4cf6d80e46720d73ad632116bb03da9</anchor>
      <arglist>(const QString &amp;buffer)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>buffer</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>2e5f9c62432a9640d25ea0893b86620a</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>restart</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>f934dd2d1b42e6f92f1bdba28a63b740</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Word</type>
      <name>nextWord</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>4c736c94ef0b909c9534b65558a357ad</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Word</type>
      <name>previousWord</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>cf3f9a979a1fae9a9a3b4588b66dc107</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Word</type>
      <name>wordAtPosition</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>92e7d9235a8e3d2f85c9bdf5b4d35086</anchor>
      <arglist>(unsigned int pos) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setCurrentPosition</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>6406e96ffe08615f5bba69229ffccdd0</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>currentPosition</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>ad41968b3da7d369d18456b910c6698f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>replace</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>3b979b5484e492690954eace13a0e7b2</anchor>
      <arglist>(const Word &amp;w, const QString &amp;newWord)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>context</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>35a8eaffad0503aa2fc37a572d963524</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Filter *</type>
      <name>defaultFilter</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>23bdc566015d398ce01a724563f871bf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Word</type>
      <name>end</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>8f61b2bd32e635b41466255d5f099f54</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>trySkipLinks</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>906438fc5e9e98a1560da17e1c942464</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>ignore</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>f7e57a3360918430b615d4dff3af5ead</anchor>
      <arglist>(const QString &amp;word) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QChar</type>
      <name>skipToLetter</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>00f77ffb77320e7957be1ae024ced6a1</anchor>
      <arglist>(uint &amp;fromPosition) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>shouldBeSkipped</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>b9c07379472e60638fae3ba0606f1e56</anchor>
      <arglist>(bool wordWasUppercase, bool wordWasRunTogether, const QString &amp;foundWord) const </arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_buffer</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>e976b974e2e70dc3d6c91cec12652418</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>uint</type>
      <name>m_currentPosition</name>
      <anchorfile>classKSpell2_1_1Filter.html</anchorfile>
      <anchor>eff97490b304f0ed770fb429a9119af5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::Settings</name>
    <filename>classKSpell2_1_1Settings.html</filename>
    <member kind="function">
      <type></type>
      <name>~Settings</name>
      <anchorfile>classKSpell2_1_1Settings.html</anchorfile>
      <anchor>bb7ab6f8e596f5543184f11fd8d07299</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDefaultLanguage</name>
      <anchorfile>classKSpell2_1_1Settings.html</anchorfile>
      <anchor>7085ca4c5ccae671ea988dafb489119d</anchor>
      <arglist>(const QString &amp;lang)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>defaultLanguage</name>
      <anchorfile>classKSpell2_1_1Settings.html</anchorfile>
      <anchor>737e3ea36f6e72b6317c33c25429f93f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDefaultClient</name>
      <anchorfile>classKSpell2_1_1Settings.html</anchorfile>
      <anchor>b755c7a66f5d9ba1a29c634313275d89</anchor>
      <arglist>(const QString &amp;client)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>defaultClient</name>
      <anchorfile>classKSpell2_1_1Settings.html</anchorfile>
      <anchor>5c90f7718366182027ac2d12ec44dbda</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCheckUppercase</name>
      <anchorfile>classKSpell2_1_1Settings.html</anchorfile>
      <anchor>93b4c6c8e49df64d884571ff49d16118</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>checkUppercase</name>
      <anchorfile>classKSpell2_1_1Settings.html</anchorfile>
      <anchor>37b853249a5f82c28bf6bcc0d7d539c2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSkipRunTogether</name>
      <anchorfile>classKSpell2_1_1Settings.html</anchorfile>
      <anchor>ea24d362c58a80cb66a29216bc429b74</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>skipRunTogether</name>
      <anchorfile>classKSpell2_1_1Settings.html</anchorfile>
      <anchor>8c230f0e51b434f18bf495ba2107676b</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBackgroundCheckerEnabled</name>
      <anchorfile>classKSpell2_1_1Settings.html</anchorfile>
      <anchor>4c354eae4362c295278e00489a77c4b2</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>backgroundCheckerEnabled</name>
      <anchorfile>classKSpell2_1_1Settings.html</anchorfile>
      <anchor>2f2813f3da8417437c1d987f54bf2c40</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCurrentIgnoreList</name>
      <anchorfile>classKSpell2_1_1Settings.html</anchorfile>
      <anchor>73decec466038b4d5d86ba342d52534b</anchor>
      <arglist>(const QStringList &amp;ignores)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addWordToIgnore</name>
      <anchorfile>classKSpell2_1_1Settings.html</anchorfile>
      <anchor>d56bae1c71f897f5684a2373cda7c36a</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>currentIgnoreList</name>
      <anchorfile>classKSpell2_1_1Settings.html</anchorfile>
      <anchor>8571a7398f0194dfb4bcd375e76680ea</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>ignore</name>
      <anchorfile>classKSpell2_1_1Settings.html</anchorfile>
      <anchor>5e8ae7f666df127031acd7efe804887e</anchor>
      <arglist>(const QString &amp;word)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classKSpell2_1_1Settings.html</anchorfile>
      <anchor>af3bf928e9bbaca20288b24f096d46c7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KSharedConfig *</type>
      <name>sharedConfig</name>
      <anchorfile>classKSpell2_1_1Settings.html</anchorfile>
      <anchor>7302c81e809094ba2902a8410d2cb3fd</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>Broker</name>
      <anchorfile>classKSpell2_1_1Settings.html</anchorfile>
      <anchor>78f050489ad4de3f23aa682962a1f9a0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::MisspellingEvent</name>
    <filename>classKSpell2_1_1MisspellingEvent.html</filename>
    <base>QCustomEvent</base>
    <member kind="function">
      <type></type>
      <name>MisspellingEvent</name>
      <anchorfile>classKSpell2_1_1MisspellingEvent.html</anchorfile>
      <anchor>05fdad04e227dc59d5c21ca08d819a89</anchor>
      <arglist>(const QString &amp;word, int pos)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>word</name>
      <anchorfile>classKSpell2_1_1MisspellingEvent.html</anchorfile>
      <anchor>3dc600203699e8a4ac2b6a0e7ef4e1c7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>position</name>
      <anchorfile>classKSpell2_1_1MisspellingEvent.html</anchorfile>
      <anchor>e2abc774d5baf6e01059f8428b847e14</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::FinishedCheckingEvent</name>
    <filename>classKSpell2_1_1FinishedCheckingEvent.html</filename>
    <base>QCustomEvent</base>
    <member kind="function">
      <type></type>
      <name>FinishedCheckingEvent</name>
      <anchorfile>classKSpell2_1_1FinishedCheckingEvent.html</anchorfile>
      <anchor>2caac806267eeddb626c0b0dfee05ba7</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::ConfigDialog</name>
    <filename>classKSpell2_1_1ConfigDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>ConfigDialog</name>
      <anchorfile>classKSpell2_1_1ConfigDialog.html</anchorfile>
      <anchor>f6e7d8eff74fd4c07e51b1ff99d4380f</anchor>
      <arglist>(Broker *broker, QWidget *parent)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotOk</name>
      <anchorfile>classKSpell2_1_1ConfigDialog.html</anchorfile>
      <anchor>a1133b5d8faa3006ddf2e7b3c3038833</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotApply</name>
      <anchorfile>classKSpell2_1_1ConfigDialog.html</anchorfile>
      <anchor>50a0ac6cbbdf1a4fa33fc06a44bc4cf2</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::ConfigWidget</name>
    <filename>classKSpell2_1_1ConfigWidget.html</filename>
    <base>QWidget</base>
    <member kind="slot">
      <type>void</type>
      <name>save</name>
      <anchorfile>classKSpell2_1_1ConfigWidget.html</anchorfile>
      <anchor>170862f376ba5f6367d4a6202f561e9a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setBackgroundCheckingButtonShown</name>
      <anchorfile>classKSpell2_1_1ConfigWidget.html</anchorfile>
      <anchor>8d7e726d05e7df376a87d127913939f2</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotDefault</name>
      <anchorfile>classKSpell2_1_1ConfigWidget.html</anchorfile>
      <anchor>0cd6c8e5ee63853ed57afeec90f6ad76</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>ConfigWidget</name>
      <anchorfile>classKSpell2_1_1ConfigWidget.html</anchorfile>
      <anchor>d7fad9265efd5ad544fe4c466605665f</anchor>
      <arglist>(Broker *broker, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>backgroundCheckingButtonShown</name>
      <anchorfile>classKSpell2_1_1ConfigWidget.html</anchorfile>
      <anchor>a9a06c2340641884cc0870012e173d99</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotChanged</name>
      <anchorfile>classKSpell2_1_1ConfigWidget.html</anchorfile>
      <anchor>65d59e9b1b81b061150e3324380453e4</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::Dialog</name>
    <filename>classKSpell2_1_1Dialog.html</filename>
    <member kind="slot">
      <type>void</type>
      <name>setBuffer</name>
      <anchorfile>classKSpell2_1_1Dialog.html</anchorfile>
      <anchor>b8eddfa017d0b89dfc5b34efaf870cbd</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setFilter</name>
      <anchorfile>classKSpell2_1_1Dialog.html</anchorfile>
      <anchor>9f568faf210c430b9e1e4e962d7f2882</anchor>
      <arglist>(Filter *filter)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>done</name>
      <anchorfile>classKSpell2_1_1Dialog.html</anchorfile>
      <anchor>e142404f525e52c140cbef7ab3ce0bf5</anchor>
      <arglist>(const QString &amp;newBuffer)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>misspelling</name>
      <anchorfile>classKSpell2_1_1Dialog.html</anchorfile>
      <anchor>c6c214b927167f6c578dc27de89ff361</anchor>
      <arglist>(const QString &amp;word, int start)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>replace</name>
      <anchorfile>classKSpell2_1_1Dialog.html</anchorfile>
      <anchor>0285d33cfd922d7ceb948ea95ace2571</anchor>
      <arglist>(const QString &amp;oldWord, int start, const QString &amp;newWord)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classKSpell2_1_1Dialog.html</anchorfile>
      <anchor>d77bd24f9c0b675617b8a780cbac1ff8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>cancel</name>
      <anchorfile>classKSpell2_1_1Dialog.html</anchorfile>
      <anchor>48d195e82b7b665e77288397c2f10279</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>autoCorrect</name>
      <anchorfile>classKSpell2_1_1Dialog.html</anchorfile>
      <anchor>daae3fd07bed405acc7c8693960d276b</anchor>
      <arglist>(const QString &amp;currentWord, const QString &amp;replaceWord)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Dialog</name>
      <anchorfile>classKSpell2_1_1Dialog.html</anchorfile>
      <anchor>150983b514f1a7cf17ca4ec0ff8c003d</anchor>
      <arglist>(BackgroundChecker *checker, QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Dialog</name>
      <anchorfile>classKSpell2_1_1Dialog.html</anchorfile>
      <anchor>152e641e3358dfcc63e7d0f5014cb174</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>originalBuffer</name>
      <anchorfile>classKSpell2_1_1Dialog.html</anchorfile>
      <anchor>9d5c07dbee815cd220c904ba3da2133d</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>buffer</name>
      <anchorfile>classKSpell2_1_1Dialog.html</anchorfile>
      <anchor>e7225eca84cf76bcfebd83e649b2435f</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>show</name>
      <anchorfile>classKSpell2_1_1Dialog.html</anchorfile>
      <anchor>826b0bdd415d6c4e78a373f81b9aeb79</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>activeAutoCorrect</name>
      <anchorfile>classKSpell2_1_1Dialog.html</anchorfile>
      <anchor>328eb59e2f31f6e4bd0d13762e8ba121</anchor>
      <arglist>(bool _active)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSpell2::Highlighter</name>
    <filename>classKSpell2_1_1Highlighter.html</filename>
    <base>QSyntaxHighlighter</base>
    <member kind="function">
      <type></type>
      <name>Highlighter</name>
      <anchorfile>classKSpell2_1_1Highlighter.html</anchorfile>
      <anchor>ef86ae7734b5d9a0981f091327840772</anchor>
      <arglist>(QTextEdit *textEdit, const QString &amp;configFile=QString::null, Filter *filter=Filter::defaultFilter())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Highlighter</name>
      <anchorfile>classKSpell2_1_1Highlighter.html</anchorfile>
      <anchor>db8fb174c1c2e9ea9ef5de53c3a956dd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>highlightParagraph</name>
      <anchorfile>classKSpell2_1_1Highlighter.html</anchorfile>
      <anchor>4a5442036868a1c3a7fc48fa3ad7d673</anchor>
      <arglist>(const QString &amp;text, int endStateOfLastPara)</arglist>
    </member>
    <member kind="function">
      <type>Filter *</type>
      <name>currentFilter</name>
      <anchorfile>classKSpell2_1_1Highlighter.html</anchorfile>
      <anchor>ab5d6b7e24c4b993a08d03457073ce10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCurrentFilter</name>
      <anchorfile>classKSpell2_1_1Highlighter.html</anchorfile>
      <anchor>b9851dc2d74d37760738cc5f817fcdbf</anchor>
      <arglist>(Filter *filter)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>currentLanguage</name>
      <anchorfile>classKSpell2_1_1Highlighter.html</anchorfile>
      <anchor>9c2854e7fb408e21dce85510f2fdd411</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCurrentLanguage</name>
      <anchorfile>classKSpell2_1_1Highlighter.html</anchorfile>
      <anchor>73b4db9b4215e8bd28d0aa9330bc410f</anchor>
      <arglist>(const QString &amp;lang)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>setMisspelled</name>
      <anchorfile>classKSpell2_1_1Highlighter.html</anchorfile>
      <anchor>950c49fd4e7dc44a571edbf7da18e97b</anchor>
      <arglist>(int start, int count)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>unsetMisspelled</name>
      <anchorfile>classKSpell2_1_1Highlighter.html</anchorfile>
      <anchor>fee2de2247172c40db8da3e30e8fbf1b</anchor>
      <arglist>(int start, int count)</arglist>
    </member>
  </compound>
</tagfile>
